List Global Webhook Delivery Attempts
curl --request GET \
--url https://api.meow.com/v1/webhooks/global/deliveries/{delivery_id}/attempts \
--header 'x-api-key: <api-key>'import requests
url = "https://api.meow.com/v1/webhooks/global/deliveries/{delivery_id}/attempts"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.meow.com/v1/webhooks/global/deliveries/{delivery_id}/attempts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.meow.com/v1/webhooks/global/deliveries/{delivery_id}/attempts"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.meow.com/v1/webhooks/global/deliveries/{delivery_id}/attempts")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.meow.com/v1/webhooks/global/deliveries/{delivery_id}/attempts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.meow.com/v1/webhooks/global/deliveries/{delivery_id}/attempts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}const url = 'https://api.meow.com/v1/webhooks/global/deliveries/{delivery_id}/attempts';
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));using RestSharp;
var options = new RestClientOptions("https://api.meow.com/v1/webhooks/global/deliveries/{delivery_id}/attempts");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("x-api-key", "<api-key>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);val client = OkHttpClient()
val request = Request.Builder()
.url("https://api.meow.com/v1/webhooks/global/deliveries/{delivery_id}/attempts")
.get()
.addHeader("x-api-key", "<api-key>")
.build()
val response = client.newCall(request).execute()import Foundation
let url = URL(string: "https://api.meow.com/v1/webhooks/global/deliveries/{delivery_id}/attempts")!
var request = URLRequest(url: url)
request.httpMethod = "GET"
request.timeoutInterval = 10
request.allHTTPHeaderFields = ["x-api-key": "<api-key>"]
let (data, _) = try await URLSession.shared.data(for: request)
print(String(decoding: data, as: UTF8.self))falsefalse$headers=@{}
$headers.Add("x-api-key", "<api-key>")
$response = Invoke-WebRequest -Uri 'https://api.meow.com/v1/webhooks/global/deliveries/{delivery_id}/attempts' -Method GET -Headers $headers{
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"delivery_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"attempt_number": 123,
"webhook_msg_id": "<string>",
"request_url": "<string>",
"response_status": 123,
"response_body_excerpt": "<string>",
"duration_ms": 123,
"error_message": "<string>",
"attempted_at": "2023-11-07T05:31:56Z"
}
],
"total_count": 123,
"has_more": true
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Deliveries
List Global Webhook Delivery Attempts
Returns the individual delivery attempts for a global webhook delivery, including the response status of each attempt.
GET
/
webhooks
/
global
/
deliveries
/
{delivery_id}
/
attempts
List Global Webhook Delivery Attempts
Authorizations
Your Meow API key, sent in the x-api-key header for authentication.
Path Parameters
Query Parameters
Required range:
1 <= x <= 100Required range:
x >= 0⌘I